
Auto Multiple Choice - Bug # 353: AMC ne peut être lancer sous OS X depuis la révision 
commit:77a49651136d

Status: Closed Priority: Normal
Author: Joël Brogniart Category:
Created: 04/28/2015 Assignee:
Updated: 04/29/2015 Due date:
Description: Sous OS X 10.10.3, à partir de la révision commit:77a49651136d, le démarrage d'AMC échoue avec une 

erreur @Unknown action gui at /opt/local/bin/auto-multiple-choice line 79@.

History
04/28/2015 03:06 pm - Joël Brogniart
Il semble que les informations ne soient pas correctes pour MacPorts pour la révision 77a49651136d. Voici la différence entre la révision précédente et 
la révision 77a49651136d.

<pre>
diff auto-multiple-choice-1721 auto-multiple-choice-1722 

1c1
< #! /opt/local/bin/perl
---
> #! /usr/bin/perl
28c28
< $mods_dir="/opt/local/lib/AMC";
---
> $mods_dir="/usr/lib/AMC";

</pre>

04/28/2015 03:18 pm - Joël Brogniart
Il semble que les informations ne soient pas valides pour MacPorts pour la révision 77a49651136d. Voici la différence dans le fichier 
"bin/auto-multiple-choice" entre la révision précédente et la révision 77a49651136d.

<pre>
diff auto-multiple-choice-1721 auto-multiple-choice-1722 

1c1
< #! /opt/local/bin/perl
---
> #! /usr/bin/perl
28c28
< $mods_dir="/opt/local/lib/AMC";
---
> $mods_dir="/usr/lib/AMC";

</pre>

04/28/2015 04:29 pm - Alexis Bienvenüe
Pouvez-vous poster votre fichier port, et le log du build?

04/28/2015 05:26 pm - Joël Brogniart
- File amc-1922-install.log added
- File Portfile added

Voici le fichier de port et le journal d'installation (pour auto-multiple-choice-devel seul, les dépendances étant déjà installées).

Dans le fichier de port, les lignes pour installer la révision précédente (qui fonctionne) et suivante (qui présente le même problème) sont commentées. 
Ce sont les lignes avec @set bitbucket_commit@, @set amc_revision@ et un peu plus loin @checksums@.

04/28/2015 09:59 pm - Alexis Bienvenüe
Merci.
Je vais essayer de rendre les choses plus propres, mais pour l'instant, je pense qu'une solution consiste à modifier le fichier de port pour appeler 
@make version_files@ avec les deux variables @AMCCONF@ et @BASEPATH@ comme il faut. Par exemple :
<pre>
pre-build {
    system -W ${worksrcpath} "${build.cmd} version_files AMCCONF=macports BASEPATH=${prefix}"
}
</pre>

04/29/2015 08:45 am - Joël Brogniart
Ça marche à nouveau avec cette dernière modification.

Merci.

04/29/2015 08:50 am - Joël Brogniart
Pendant que j'y suis, l'utilisation d'AMC a donné les messages qui suivent. Ce n'est pas spécifique à cette révision et je ne sais pas si c'est important.

<pre>
GLib-GObject-WARNING **: The property GtkIconView:orientation is deprecated and shouldn't be used anymore. It will be removed in a future version. 
at /opt/local/lib/AMC/perl/AMC-gui.pl line 935.
Use of uninitialized value $both in concatenation (.) or string at /opt/local/lib/AMC/perl/AMC-gui.pl line 3842.
Use of uninitialized value in subroutine entry at /opt/local/lib/perl5/vendor_perl/5.16.3/Module/Load.pm line 113.
</pre> 

04/29/2015 09:04 am - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

Ça n'a pas l'air dramatique mais je vais essayer de m'en occuper.

Files
amc-1922-install.log 738.1 kB 04/28/2015 Joël Brogniart
Portfile 4.7 kB 04/28/2015 Joël Brogniart
